"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const DeathSchema = new Schema({
    name: String,
    cause: String,
    map: String,
    x: Number,
    y: Number,
    serverRegion: String,
    serverIdentifier: String,
    time: Number
});
DeathSchema.index({ serverRegion: 1, serverIdentifier: 1 });
DeathSchema.index({ name: 1 });
DeathSchema.index({ time: 1 });
exports.default = DeathSchema;
//# sourceMappingURL=deaths.schema.js.map