"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Database = void 0;
const mongoose_1 = __importDefault(require("mongoose"));
__exportStar(require("./achievements/achievements.model"), exports);
__exportStar(require("./achievements/achievements.types"), exports);
__exportStar(require("./auths/auths.model"), exports);
__exportStar(require("./auths/auths.types"), exports);
__exportStar(require("./deaths/deaths.model"), exports);
__exportStar(require("./deaths/deaths.types"), exports);
__exportStar(require("./entities/entities.model"), exports);
__exportStar(require("./entities/entities.types"), exports);
__exportStar(require("./npcs/npcs.model"), exports);
__exportStar(require("./npcs/npcs.types"), exports);
__exportStar(require("./players/players.model"), exports);
__exportStar(require("./players/players.types"), exports);
class Database {
    constructor() {
    }
    static async connect(uri = "mongodb://localhost:27017/alclient") {
        if (this.connection) {
            await mongoose_1.default.disconnect();
        }
        const connect = await mongoose_1.default.connect(uri);
        this.connection = mongoose_1.default.connection;
        this.connection.on("error", () => {
            console.error("Error connecting to MongoDB");
        });
        return connect;
    }
    static disconnect() {
        if (!this.connection)
            return;
        mongoose_1.default.disconnect();
    }
}
exports.Database = Database;
Database.lastMongoUpdate = new Map();
//# sourceMappingURL=Database.js.map