"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const AchievementSchema = new Schema({
    date: { type: Number, required: true },
    name: { type: String, required: true },
    monsters: { type: Object, required: true },
    max: { type: Object, required: true }
});
AchievementSchema.index({ name: 1, date: 1 }, { unique: true });
exports.default = AchievementSchema;
//# sourceMappingURL=achievements.schema.js.map